Debian Bug report logs - #255744
xserver-xfree86: [mouse] X server can fail to start if psmouse module managed by hotplug

version graph

Package: xserver-xfree86; Maintainer for xserver-xfree86 is (unknown);

Reported by: Frans Pop <elendil@planet.nl>

Date: Tue, 22 Jun 2004 18:48:03 UTC

Severity: important

Tags: help, upstream

Merged with 360080

Found in versions 4.3.0.dfsg.1-4, 4.3.0.dfsg.1-6, xfree86-common/6.8.2.dfsg.1-7

Done: Daniel Stone <daniel@fooishbar.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, aragorn@tiscali.nl, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
New Bug report received and forwarded. Copy sent to aragorn@tiscali.nl, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xfree86: X fails to load if psmouse module managed by hotplug
Date: Tue, 22 Jun 2004 20:38:13 +0200
Package: xserver-xfree86
Version: 4.3.0.dfsg.1-4
Severity: important

If the system is powered up and X is started by kdm, X will often fail
because of a missing core pointer. Starting X manually immediately after
(e.g. using /etc/init.d/kdm start), always succeeds.
The problem goes away if psmouse is added to /etc/modules.

I have seen this problem myself on two different systems and [1] has two
more people with the same problem. In all cases the solution above
worked.

In my case, I did a fresh Sarge install using Debian Installer on both
systems. By default the mouse driver and related modules (like evdev)
will be managed by hotplug.
This means that psmouse is only loaded after X is started and probes for
the presence of the core pointer. I think the time out allowed by X is
to short for the drivers to load, so X can't find the mouse, the load
fails and the user is returned to the console.

Adding psmouse in /etc/modules ensures that the drivers are loaded much
earlier in the bootprocess, so X is able to locate the mouse without
problem.

I think this bug is important because a lot of installs with Sarge's
new installer are likely to be affected by this problem.
The problem has been observed 4 times using kdm, but I would think it
applies to other display managers as well.

[1] http://lists.debian.org/debian-kde/2004/06/msg00159.html

I have  not included config and log files as the problem is currently
fixed on my system using the solution listed above.
I can however easily reproduce a log file if needed (on request).

TIA,
Frans Pop


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.5.20040613-1
Locale: LANG=C, LC_CTYPE=C

Versions of packages xserver-xfree86 depends on:
ii  debconf [debconf-2.0]     1.4.25         Debian configuration management sy
ii  libc6                     2.3.2.ds1-13   GNU C Library: Shared libraries an
ii  xserver-common            4.3.0.dfsg.1-4 files and utilities common to all 
ii  zlib1g                    1:1.2.1.1-3    compression library - runtime

-- debconf information:
* xserver-xfree86/config/device/identifier: Generic Video Card
  xserver-xfree86/config/monitor/screen-size: 17 inches (430 mm)
  xserver-xfree86/config/device/use_fbdev: 
* xserver-xfree86/config/monitor/selection-method: Medium
  xserver-xfree86/config/doublequote_in_string_error: 
  shared/default-x-server: xserver-xfree86
* xserver-xfree86/config/inputdevice/mouse/emulate3buttons: true
* xserver-xfree86/config/device/bus_id: PCI:0:2:0
* xserver-xfree86/config/inputdevice/keyboard/layout: us
  xserver-xfree86/config/monitor/horiz-sync: 30-60
* xserver-xfree86/config/monitor/identifier: Generic Monitor
  shared/no_known_x-server: 
  xserver-xfree86/autodetect_mouse: true
* xserver-xfree86/config/device/video_ram: 
* xserver-xfree86/config/monitor/mode-list: 1024x768 @ 75Hz
* xserver-xfree86/config/monitor/lcd: true
  xserver-xfree86/config/inputdevice/keyboard/internal: 
* xserver-xfree86/config/inputdevice/keyboard/rules: xfree86
  xserver-xfree86/multiple_possible_x-drivers: 
* xserver-xfree86/config/inputdevice/keyboard/model: pc104
* xserver-xfree86/config/write_dri_section: true
* xserver-xfree86/config/device/driver: i810
  xserver-xfree86/config/monitor/vert-refresh: 50-75
* xserver-xfree86/config/display/default_depth: 24
* xserver-xfree86/config/inputdevice/mouse/zaxismapping: true
* xserver-xfree86/config/display/modes: 1024x768, 800x600, 640x480
  xserver-xfree86/config/device/bus_id_error: 
* xserver-xfree86/config/modules: GLcore, bitmap, dbe, ddc, dri, extmod, freetype, glx, int10, record, speedo, type1, vbe
* xserver-xfree86/config/inputdevice/keyboard/options: 
  xserver-xfree86/config/nonnumeric_string_error: 
* xserver-xfree86/config/inputdevice/mouse/protocol: ImPS/2
  shared/multiple_possible_x-servers: 
  xserver-xfree86/config/null_string_error: 
  xserver-xfree86/config/monitor/range_input_error: 
* xserver-xfree86/autodetect_video_card: true
* xserver-xfree86/config/inputdevice/keyboard/variant: 
* xserver-xfree86/config/inputdevice/mouse/port: /dev/psaux
* xserver-xfree86/config/write_files_section: true
  xserver-xfree86/autodetect_monitor: true



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 255744@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 255744@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#255744: xserver-xfree86: X fails to load if psmouse module managed by hotplug
Date: Thu, 8 Jul 2004 16:18:03 -0500
[Message part 1 (text/plain, inline)]
retitle 255744 xserver-xfree86: [mouse] X server can fail to start if psmouse module managed by hotplug
tag 255744 + help upstream
thanks

On Tue, Jun 22, 2004 at 08:38:13PM +0200, Frans Pop wrote:
> If the system is powered up and X is started by kdm, X will often fail
> because of a missing core pointer. Starting X manually immediately after
> (e.g. using /etc/init.d/kdm start), always succeeds.
> The problem goes away if psmouse is added to /etc/modules.
[...]
> This means that psmouse is only loaded after X is started and probes for
> the presence of the core pointer. I think the time out allowed by X is
> to short for the drivers to load, so X can't find the mouse, the load
> fails and the user is returned to the console.
> 
> Adding psmouse in /etc/modules ensures that the drivers are loaded much
> earlier in the bootprocess, so X is able to locate the mouse without
> problem.

I seek advice on this.

Is the right thing to do to hack up the X server's mouse driver to keep
poking the port?  Should this be done for all drivers in general?

I am not sure whose fault this bug is.

-- 
G. Branden Robinson                |    I have a truly elegant proof of the
Debian GNU/Linux                   |    above, but it is too long to fit
branden@debian.org                 |    into this .signature file.
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help, upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to M Jared Finder <hpalace@hpalace.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 255744@bugs.debian.org (full text, mbox):

From: M Jared Finder <hpalace@hpalace.com>
To: Debian Bug Tracking System <255744@bugs.debian.org>
Subject: xserver-xfree86: Not just kdm
Date: Mon, 19 Jul 2004 23:29:27 -0700
Package: xserver-xfree86
Version: 4.3.0.dfsg.1-6
Followup-For: Bug #255744

I'm using xdm, and I had the same problem.  Adding psmouse to 
/etc/modules fixed X not booting for me as well.


-- Package-specific info:
Contents of /var/lib/xfree86/X.roster:
xserver-xfree86

/etc/X11/X target unchanged from checksum in /var/lib/xfree86/X.md5sum.

X server symlink status:
lrwxrwxrwx  1 root root 20 Jun 26 13:24 /etc/X11/X -> /usr/bin/X11/XFree86
-rwxr-xr-x  1 root root 1745388 Jul  7 08:07 /usr/bin/X11/XFree86

Contents of /var/lib/xfree86/XF86Config-4.roster:
xserver-xfree86

VGA-compatible devices on PCI bus:
0000:01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 MX 440] (rev a3)

/etc/X11/XF86Config-4 does not match checksum in /var/lib/xfree86/XF86Config-4.md5sum.

XFree86 X server configuration file status:
-rw-------  1 root root 3140 Jul 19 23:11 /etc/X11/XF86Config-4

Contents of /etc/X11/XF86Config-4:


XFree86 X server log files on system:
-rw-r--r--  1 root root 29145 Jul 19 23:25 /var/log/XFree86.0.log

Contents of most recent XFree86 X server log file
/var/log/XFree86.0.log:

This is a pre-release version of XFree86, and is not supported in any
way.  Bugs may be reported to XFree86@XFree86.Org and patches submitted
to fixes@XFree86.Org.  Before reporting bugs in pre-release versions,
please check the latest version in the XFree86 CVS repository
(http://www.XFree86.Org/cvs).

XFree86 Version 4.3.0.1 (Debian 4.3.0.dfsg.1-6 20040707142024 fabbione@fabbione.net)
Release Date: 15 August 2003
X Protocol Version 11, Revision 0, Release 6.6
Build Operating System: Linux 2.4.23 i686 [ELF] 
Build Date: 07 July 2004
	Before reporting problems, check http://www.XFree86.Org/
	to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.6.6-2-686 (wli@tisifone) (gcc version 3.3.3 (Debian 20040422)) #1 Wed Jun 16 01:25:38 PDT 2004 T
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Mon Jul 19 23:24:48 2004
(==) Using config file: "/etc/X11/XF86Config-4"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Generic Monitor"
(**) |   |-->Device "Generic Video Card"
(**) |-->Input Device "Generic Keyboard"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc104"
(**) XKB: model: "pc104"
(**) Option "XkbLayout" "dvorak"
(**) XKB: layout: "dvorak"
(==) Keyboard: CustomKeycode disabled
(**) |-->Input Device "Configured Mouse"
(**) |-->Input Device "Generic Mouse"
(WW) The directory "/usr/lib/X11/fonts/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/CID" does not exist.
	Entry deleted from font path.
(**) FontPath set to "unix/:7100,/usr/lib/X11/fonts/misc,/usr/lib/X11/fonts/100dpi/:unscaled,/usr/lib/X11/fonts/75dpi/:unscaled,/usr/lib/X11/fonts/Type1,/usr/lib/X11/fonts/Speedo,/usr/lib/X11/fonts/100dpi,/usr/lib/X11/fonts/75dpi"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(++) using VT number 7

(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.2
	XFree86 Video Driver: 0.6
	XFree86 XInput driver : 0.4
	XFree86 Server Extension : 0.2
	XFree86 Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x8000f84c, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1130 card 0000,0000 rev 02 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,1131 card 0000,0000 rev 02 class 06,04,00 hdr 01
(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev 01 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,2440 card 0000,0000 rev 01 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,244b card 8086,4541 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:1f:2: chip 8086,2442 card 8086,4541 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:1f:3: chip 8086,2443 card 8086,4541 rev 01 class 0c,05,00 hdr 00
(II) PCI: 01:00:0: chip 10de,0171 card 10b0,0002 rev a3 class 03,00,00 hdr 00
(II) PCI: 02:09:0: chip 10b7,9200 card 10b7,1000 rev 78 class 02,00,00 hdr 00
(II) PCI: 02:0c:0: chip 1013,6003 card 5053,3357 rev 01 class 04,01,00 hdr 00
(II) PCI: 02:0d:0: chip 12b9,1008 card 12b9,baba rev 01 class 07,00,02 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,2), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xfc700000 - 0xfe7fffff (0x2100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xe4300000 - 0xf44fffff (0x10200000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:30:0), (0,2,2), BCTRL: 0x0002 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0	0x0000d000 - 0x0000dfff (0x1000) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0xfe800000 - 0xfeafffff (0x300000) MX[B]
(II) Bus 2 prefetchable memory range:
	[0] -1	0	0xf4500000 - 0xf45fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(1:0:0) nVidia Corporation NV17 [GeForce4 MX 440] rev 163, Mem @ 0xfd000000/24, 0xe8000000/27, 0xf4480000/19, BIOS @ 0xfe7e0000/17
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xf8000000 from 0xfbffffff to 0xf7ffffff
(II) Active PCI resource ranges:
	[0] -1	0	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[1] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[2] -1	0	0xfeaffc00 - 0xfeaffc7f (0x80) MX[B]
	[3] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[4] -1	0	0xfe7e0000 - 0xfe7fffff (0x20000) MX[B](B)
	[5] -1	0	0xf4480000 - 0xf44fffff (0x80000) MX[B](B)
	[6] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[7] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[8] -1	0	0x0000dff0 - 0x0000dff7 (0x8) IX[B]
	[9] -1	0	0x0000dc00 - 0x0000dc7f (0x80) IX[B]
	[10] -1	0	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[11] -1	0	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[12] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[1] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[2] -1	0	0xfeaffc00 - 0xfeaffc7f (0x80) MX[B]
	[3] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[4] -1	0	0xfe7e0000 - 0xfe7fffff (0x20000) MX[B](B)
	[5] -1	0	0xf4480000 - 0xf44fffff (0x80000) MX[B](B)
	[6] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[7] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[8] -1	0	0x0000dff0 - 0x0000dff7 (0x8) IX[B]
	[9] -1	0	0x0000dc00 - 0x0000dc7f (0x80) IX[B]
	[10] -1	0	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[11] -1	0	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[12] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[6] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[7] -1	0	0xfeaffc00 - 0xfeaffc7f (0x80) MX[B]
	[8] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[9] -1	0	0xfe7e0000 - 0xfe7fffff (0x20000) MX[B](B)
	[10] -1	0	0xf4480000 - 0xf44fffff (0x80000) MX[B](B)
	[11] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[12] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[13] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0	0x0000dff0 - 0x0000dff7 (0x8) IX[B]
	[16] -1	0	0x0000dc00 - 0x0000dc7f (0x80) IX[B]
	[17] -1	0	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[18] -1	0	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[19] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) LoadModule: "GLcore"
(WW) Warning, couldn't open module GLcore
(II) UnloadModule: "GLcore"
(EE) Failed to load module "GLcore" (module does not exist, 0)
(II) LoadModule: "bitmap"
(II) Reloading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Loading font Bitmap
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
(II) Module freetype: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 2.0.2
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.5336
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "speedo"
(II) Loading /usr/X11R6/lib/modules/fonts/libspeedo.a
Skipping "/usr/X11R6/lib/modules/fonts/libspeedo.a:spencode.o":  No symbols found
(II) Module speedo: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.1
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Speedo
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.2
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.1.0
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "nvidia"
(II) Loading /usr/X11R6/lib/modules/drivers/nvidia_drv.o
(II) Module nvidia: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.5336
	Module class: XFree86 Video Driver
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.4
(II) NVIDIA XFree86 Driver  1.0-5336  Wed Jan 14 18:30:46 PST 2004
(II) NVIDIA Unified Driver for all NVIDIA GPUs
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset NVIDIA GPU found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[6] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[7] -1	0	0xfeaffc00 - 0xfeaffc7f (0x80) MX[B]
	[8] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[9] -1	0	0xfe7e0000 - 0xfe7fffff (0x20000) MX[B](B)
	[10] -1	0	0xf4480000 - 0xf44fffff (0x80000) MX[B](B)
	[11] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[12] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[13] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0	0x0000dff0 - 0x0000dff7 (0x8) IX[B]
	[16] -1	0	0x0000dc00 - 0x0000dc7f (0x80) IX[B]
	[17] -1	0	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[18] -1	0	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[19] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[6] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[7] -1	0	0xfeaffc00 - 0xfeaffc7f (0x80) MX[B]
	[8] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[9] -1	0	0xfe7e0000 - 0xfe7fffff (0x20000) MX[B](B)
	[10] -1	0	0xf4480000 - 0xf44fffff (0x80000) MX[B](B)
	[11] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[12] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[13] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[14] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[15] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[16] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0	0x0000dff0 - 0x0000dff7 (0x8) IX[B]
	[19] -1	0	0x0000dc00 - 0x0000dc7f (0x80) IX[B]
	[20] -1	0	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[21] -1	0	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[22] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[23] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[24] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.6
(**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
(==) NVIDIA(0): RGB weight 888
(==) NVIDIA(0): Default visual is TrueColor
(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
(--) NVIDIA(0): Linear framebuffer at 0xE8000000
(--) NVIDIA(0): MMIO registers at 0xFD000000
(II) NVIDIA(0): NVIDIA GPU detected as: GeForce4 MX 440
(--) NVIDIA(0): VideoBIOS: 04.17.00.69.00
(--) NVIDIA(0): VideoRAM: 65536 kBytes
(II) NVIDIA(0): Connected display device(s): CRT-0
(--) NVIDIA(0): Detected TV Encoder: NVIDIA
(--) NVIDIA(0): Display device CRT-0: maximum pixel clock at  8 bpp: 350 MHz
(--) NVIDIA(0): Display device CRT-0: maximum pixel clock at 16 bpp: 350 MHz
(--) NVIDIA(0): Display device CRT-0: maximum pixel clock at 32 bpp: 350 MHz
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(WW) NVIDIA(0): The user specified HorizSync "30.000-92.000" has been adjusted
(WW) NVIDIA(0):      to "30.000-85.000" (the intersection with EDID-specified
(WW) NVIDIA(0):      HorizSync "30.000-85.000")
(II) NVIDIA(0): Generic Monitor: Using hsync range of 30.00-85.00 kHz
(II) NVIDIA(0): Generic Monitor: Using vrefresh range of 50.00-85.00 Hz
(II) NVIDIA(0): Clock range:  12.00 to 350.00 MHz
(II) NVIDIA(0): Not using default mode "1024x768" (bad mode clock/interlace/doublescan)
(II) NVIDIA(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NVIDIA(0): Not using default mode "1280x960" (hsync out of range)
(II) NVIDIA(0): Not using default mode "640x480" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1280x1024" (hsync out of range)
(II) NVIDIA(0): Not using default mode "640x512" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1600x1200" (hsync out of range)
(II) NVIDIA(0): Not using default mode "800x600" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1600x1200" (hsync out of range)
(II) NVIDIA(0): Not using default mode "800x600" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1600x1200" (hsync out of range)
(II) NVIDIA(0): Not using default mode "800x600" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1792x1344" (hsync out of range)
(II) NVIDIA(0): Not using default mode "896x672" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1856x1392" (hsync out of range)
(II) NVIDIA(0): Not using default mode "928x696" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1856x1392" (hsync out of range)
(II) NVIDIA(0): Not using default mode "928x696" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1920x1440" (hsync out of range)
(II) NVIDIA(0): Not using default mode "960x720" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1920x1440" (hsync out of range)
(II) NVIDIA(0): Not using default mode "960x720" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1920x1440" (hsync out of range)
(II) NVIDIA(0): Not using default mode "960x720" (hsync out of range)
(II) NVIDIA(0): Not using default mode "2048x1536" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1024x768" (hsync out of range)
(II) NVIDIA(0): Not using default mode "2048x1536" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1024x768" (hsync out of range)
(II) NVIDIA(0): Not using default mode "2048x1536" (bad mode clock/interlace/doublescan)
(II) NVIDIA(0): Not using default mode "1024x768" (hsync out of range)
(II) NVIDIA(0): Not using default mode "1792x1344" (width too large for virtual size)
(II) NVIDIA(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) NVIDIA(0): Not using default mode "1600x1200" (width too large for virtual size)
(II) NVIDIA(0): Not using default mode "1400x1050" (width too large for virtual size)
(II) NVIDIA(0): Not using default mode "1400x1050" (width too large for virtual size)
(II) NVIDIA(0): Not using default mode "1280x1024" (width too large for virtual size)
(II) NVIDIA(0): Not using default mode "1280x1024" (width too large for virtual size)
(II) NVIDIA(0): Not using default mode "1280x960" (width too large for virtual size)
(II) NVIDIA(0): Not using default mode "1152x864" (width too large for virtual size)
(II) NVIDIA(0): Not using default mode "1152x768" (width too large for virtual size)
(WW) NVIDIA(0): Not using mode "896x672" (height 1344 is larger than
(WW) NVIDIA(0):      EDID-specified maximum 1200)
(WW) NVIDIA(0): Not using mode "576x384":
(WW) NVIDIA(0):   horizontal sync start (589) not a multiple of 8
(WW) NVIDIA(0): Not using mode "360x200":
(WW) NVIDIA(0):   horizontal sync start (378) not a multiple of 8
(**) NVIDIA(0): Validated modes for display device CRT-0:
(**) NVIDIA(0):      Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(**) NVIDIA(0):      Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(**) NVIDIA(0):      Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(**) NVIDIA(0):      Default mode "1024x768": 78.8 MHz, 60.1 kHz, 75.1 Hz
(**) NVIDIA(0):      Default mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz
(**) NVIDIA(0):      Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(**) NVIDIA(0):      Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(**) NVIDIA(0):      Default mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(**) NVIDIA(0):      Default mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz
(**) NVIDIA(0):      Default mode "800x600": 87.8 MHz, 81.2 kHz, 65.0 Hz (D)
(**) NVIDIA(0):      Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(**) NVIDIA(0):      Default mode "800x600": 81.0 MHz, 75.0 kHz, 60.0 Hz (D)
(**) NVIDIA(0):      Default mode "800x600": 36.0 MHz, 35.2 kHz, 56.2 Hz
(**) NVIDIA(0):      Default mode "700x525": 77.9 MHz, 81.5 kHz, 74.8 Hz (D)
(**) NVIDIA(0):      Default mode "700x525": 61.0 MHz, 64.9 kHz, 60.0 Hz (D)
(**) NVIDIA(0):      Default mode "640x512": 67.5 MHz, 80.0 kHz, 75.0 Hz (D)
(**) NVIDIA(0):      Default mode "640x512": 54.0 MHz, 64.0 kHz, 60.0 Hz (D)
(**) NVIDIA(0):      Default mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(**) NVIDIA(0):      Default mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz
(**) NVIDIA(0):      Default mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz
(**) NVIDIA(0):      Default mode "640x480": 54.0 MHz, 60.0 kHz, 60.0 Hz (D)
(**) NVIDIA(0):      Default mode "720x400": 35.5 MHz, 37.9 kHz, 85.0 Hz
(**) NVIDIA(0):      Default mode "640x400": 31.5 MHz, 37.9 kHz, 85.1 Hz
(**) NVIDIA(0):      Default mode "576x432": 54.0 MHz, 67.5 kHz, 75.0 Hz (D)
(**) NVIDIA(0):      Default mode "640x350": 31.5 MHz, 37.9 kHz, 85.1 Hz
(**) NVIDIA(0):      Default mode "512x384": 47.2 MHz, 68.7 kHz, 85.0 Hz (D)
(**) NVIDIA(0):      Default mode "512x384": 39.4 MHz, 60.1 kHz, 75.1 Hz (D)
(**) NVIDIA(0):      Default mode "512x384": 37.5 MHz, 56.5 kHz, 70.1 Hz (D)
(**) NVIDIA(0):      Default mode "512x384": 32.5 MHz, 48.4 kHz, 60.0 Hz (D)
(**) NVIDIA(0):      Default mode "416x312": 28.6 MHz, 49.7 kHz, 74.7 Hz (D)
(**) NVIDIA(0):      Default mode "400x300": 28.1 MHz, 53.7 kHz, 85.3 Hz (D)
(**) NVIDIA(0):      Default mode "400x300": 24.8 MHz, 46.9 kHz, 75.1 Hz (D)
(**) NVIDIA(0):      Default mode "400x300": 25.0 MHz, 48.1 kHz, 72.2 Hz (D)
(**) NVIDIA(0):      Default mode "400x300": 20.0 MHz, 37.9 kHz, 60.3 Hz (D)
(**) NVIDIA(0):      Default mode "400x300": 18.0 MHz, 35.2 kHz, 56.3 Hz (D)
(**) NVIDIA(0):      Default mode "320x240": 18.0 MHz, 43.3 kHz, 85.2 Hz (D)
(**) NVIDIA(0):      Default mode "320x240": 15.8 MHz, 37.5 kHz, 75.0 Hz (D)
(**) NVIDIA(0):      Default mode "320x240": 15.8 MHz, 37.9 kHz, 72.8 Hz (D)
(**) NVIDIA(0):      Default mode "320x240": 12.6 MHz, 31.5 kHz, 60.1 Hz (D)
(**) NVIDIA(0):      Default mode "320x200": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
(**) NVIDIA(0):      Default mode "320x175": 15.8 MHz, 37.9 kHz, 85.3 Hz (D)
(II) NVIDIA(0): Virtual screen size determined to be 1024 x 768
(++) NVIDIA(0): DPI set to (100, 100)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.2
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.3.0.1, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.6
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xf4480000 - 0xf44fffff (0x80000) MX[B]
	[1] 0	0	0xe8000000 - 0xefffffff (0x8000000) MX[B]
	[2] 0	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B]
	[3] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[4] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[5] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[6] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[7] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[8] -1	0	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[9] -1	0	0xfeafe000 - 0xfeafefff (0x1000) MX[B]
	[10] -1	0	0xfeaffc00 - 0xfeaffc7f (0x80) MX[B]
	[11] -1	0	0xf8000000 - 0xf7ffffff (0x0) MX[B]O
	[12] -1	0	0xfe7e0000 - 0xfe7fffff (0x20000) MX[B](B)
	[13] -1	0	0xf4480000 - 0xf44fffff (0x80000) MX[B](B)
	[14] -1	0	0xe8000000 - 0xefffffff (0x8000000) MX[B](B)
	[15] -1	0	0xfd000000 - 0xfdffffff (0x1000000) MX[B](B)
	[16] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[17] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[18] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[19] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[20] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[21] -1	0	0x0000dff0 - 0x0000dff7 (0x8) IX[B]
	[22] -1	0	0x0000dc00 - 0x0000dc7f (0x80) IX[B]
	[23] -1	0	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[24] -1	0	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[25] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[26] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[27] 0	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(II) NVIDIA(0): AGP 4X successfully initialized
(II) NVIDIA(0): Setting mode "1024x768"
(II) Loading extension NV-GLX
(II) NVIDIA(0): NVIDIA 3D Acceleration Architecture Initialized
(II) NVIDIA(0): Using the NVIDIA 2D acceleration architecture
(==) NVIDIA(0): Backing store disabled
(==) NVIDIA(0): Silken mouse enabled
(**) Option "dpms"
(**) NVIDIA(0): DPMS enabled
(II) Loading extension NV-CONTROL
(==) RandR enabled
Symbol __glXActiveScreens from module /usr/X11R6/lib/modules/extensions/libdri.a is unresolved!
Symbol __glXActiveScreens from module /usr/X11R6/lib/modules/extensions/libdri.a is unresolved!
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing extension GLX
(II) Keyboard "Generic Keyboard" handled by legacy driver
(**) Option "Protocol" "PS/2"
(**) Configured Mouse: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Configured Mouse: Core Pointer
(**) Option "Device" "/dev/psaux"
(**) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 5
(**) Option "Protocol" "ImPS/2"
(**) Generic Mouse: Protocol: "ImPS/2"
(**) Option "SendCoreEvents" "true"
(**) Generic Mouse: always reports core events
(**) Option "Device" "/dev/input/mice"
(**) Generic Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Generic Mouse: ZAxisMapping: buttons 4 and 5
(**) Generic Mouse: Buttons: 5
(II) XINPUT: Adding extended input device "Generic Mouse" (type: MOUSE)
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) XINPUT: Adding extended input device "NVIDIA Event Handler" (type: Other)
(II) Configured Mouse: ps2EnableDataReporting: succeeded
(II) Generic Mouse: ps2EnableDataReporting: succeeded
Warning: font renderer for ".pcf" already registered at priority 0
Warning: font renderer for ".pcf.Z" already registered at priority 0
Warning: font renderer for ".pcf.gz" already registered at priority 0
Warning: font renderer for ".snf" already registered at priority 0
Warning: font renderer for ".snf.Z" already registered at priority 0
Warning: font renderer for ".snf.gz" already registered at priority 0
Warning: font renderer for ".bdf" already registered at priority 0
Warning: font renderer for ".bdf.Z" already registered at priority 0
Warning: font renderer for ".bdf.gz" already registered at priority 0
Warning: font renderer for ".pmf" already registered at priority 0
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) NVIDIA(0): Setting mode "1024x768"
(II) Generic Mouse: ps2EnableDataReporting: succeeded
(II) Configured Mouse: ps2EnableDataReporting: succeeded


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.6-2-686
Locale: LANG=C, LC_CTYPE=en_US.UTF-8

Versions of packages xserver-xfree86 depends on:
ii  debconf [debconf-2.0]     1.4.29         Debian configuration management sy
ii  libc6                     2.3.2.ds1-13   GNU C Library: Shared libraries an
ii  xserver-common            4.3.0.dfsg.1-6 files and utilities common to all 
ii  zlib1g                    1:1.2.1.1-5    compression library - runtime

-- debconf information:
* xserver-xfree86/config/device/identifier: Generic Video Card
  xserver-xfree86/config/monitor/screen-size: 17 inches (430 mm)
  xserver-xfree86/config/device/use_fbdev:
* xserver-xfree86/config/monitor/selection-method: Medium
  xserver-xfree86/config/doublequote_in_string_error:
  shared/default-x-server: xserver-xfree86
* xserver-xfree86/config/inputdevice/mouse/emulate3buttons: false
* xserver-xfree86/config/device/bus_id:
* xserver-xfree86/config/inputdevice/keyboard/layout: dvorak
  xserver-xfree86/config/monitor/horiz-sync: 30-92
* xserver-xfree86/config/monitor/identifier: Generic Monitor
  shared/no_known_x-server:
  xserver-xfree86/autodetect_mouse: true
* xserver-xfree86/config/device/video_ram:
* xserver-xfree86/config/monitor/mode-list: 1280x960 @ 85Hz
* xserver-xfree86/config/monitor/lcd: false
  xserver-xfree86/config/inputdevice/keyboard/internal:
* xserver-xfree86/config/inputdevice/keyboard/rules: xfree86
  xserver-xfree86/multiple_possible_x-drivers:
* xserver-xfree86/config/inputdevice/keyboard/model: pc104
* xserver-xfree86/config/write_dri_section: true
* xserver-xfree86/config/device/driver: nvidia
  xserver-xfree86/config/monitor/vert-refresh: 50-85
* xserver-xfree86/config/display/default_depth: 24
* xserver-xfree86/config/inputdevice/mouse/zaxismapping: true
* xserver-xfree86/config/display/modes: 1024x768, 800x600, 640x480
  xserver-xfree86/config/device/bus_id_error:
* xserver-xfree86/config/modules: GLcore, bitmap, dbe, ddc, dri, extmod, freetype, glx, int10, record, speedo, type1, vbe
* xserver-xfree86/config/inputdevice/keyboard/options:
  xserver-xfree86/config/nonnumeric_string_error:
* xserver-xfree86/config/inputdevice/mouse/protocol: PS/2
  shared/multiple_possible_x-servers:
  xserver-xfree86/config/null_string_error:
  xserver-xfree86/config/monitor/range_input_error:
  xserver-xfree86/autodetect_video_card: true
* xserver-xfree86/config/inputdevice/keyboard/variant:
* xserver-xfree86/config/inputdevice/mouse/port: /dev/psaux
* xserver-xfree86/config/write_files_section: true
  xserver-xfree86/autodetect_monitor: true



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 255744@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: M Jared Finder <hpalace@hpalace.com>, 255744@bugs.debian.org
Subject: Re: Bug#255744: xserver-xfree86: Not just kdm
Date: Tue, 27 Jul 2004 01:50:05 -0500
[Message part 1 (text/plain, inline)]
On Mon, Jul 19, 2004 at 11:29:27PM -0700, M Jared Finder wrote:
> Package: xserver-xfree86
> Version: 4.3.0.dfsg.1-6
> Followup-For: Bug #255744
> 
> I'm using xdm, and I had the same problem.  Adding psmouse to 
> /etc/modules fixed X not booting for me as well.

Thanks for the follow-up.  I'm still waiting for someone on the developer
side to give me some more information.

Tagging a bug "help" doesn't get you much, it seems.  :-/

-- 
G. Branden Robinson                |    My first priority in any attack is
Debian GNU/Linux                   |    to solve the problem -- not issue a
branden@debian.org                 |    press release.
http://people.debian.org/~branden/ |    -- Steve McInerney
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to January Weiner <january.weiner@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 255744@bugs.debian.org (full text, mbox):

From: January Weiner <january.weiner@gmail.com>
To: Debian Bug Tracking System <255744@bugs.debian.org>
Subject: xfree86-common: Mouse not found causes gdm to fail -- this *is* annoying
Date: Thu, 20 Oct 2005 11:45:50 +0200
Package: xfree86-common
Version: 6.8.2.dfsg.1-7
Followup-For: Bug #255744


I just want to stress the importance of this bug.  It is more than a year
old and it still has not been fixed!

Take the following scenario:  a connector is accidentally removed, or the
user removed the mouse for whatever reason.  Suddenly, the system no longer
starts X!  Even though you _can_ work with X without a mouse.  I am an
experienced user and still I had to spend some time to understand what and
why is happening (if you unplug the mouse after the system created the
mouse device, everything is fine).  An inexperienced user will really be in
trouble.  Such "side-effects" are sometimes hard to track.  *PLEASE*, do
something about that.

Exactly such details make Linux/Debian a system not suitable for destkop
installations.  Yes, we use it nonetheless for teaching.  No, it does not
work well -- if for any basic problem (like "my X does not start anymore!"
- just because a mouse connector fell off) an experienced system
administrator must be bothered.

January Weiner

-- System Information:
Debian Release: testing/unstable
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686-smp
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2)

Versions of packages xfree86-common depends on:
ii  x11-common                6.8.2.dfsg.1-7 X Window System (X.Org) infrastruc

xfree86-common recommends no packages.

-- debconf information:
  xfree86-common/experimental_packages:



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 255744@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: January Weiner <january.weiner@gmail.com>, 255744@bugs.debian.org
Subject: Re: Bug#255744: xfree86-common: Mouse not found causes gdm to fail -- this *is* annoying
Date: Thu, 20 Oct 2005 12:17:17 +0200
On Thu, 2005-10-20 at 11:45 +0200, January Weiner wrote:
> Package: xfree86-common
> Version: 6.8.2.dfsg.1-7
> Followup-For: Bug #255744
> 
> 
> I just want to stress the importance of this bug.  It is more than a year
> old and it still has not been fixed!
> 
> Take the following scenario:  a connector is accidentally removed, or the
> user removed the mouse for whatever reason.  Suddenly, the system no longer
> starts X!  Even though you _can_ work with X without a mouse.  I am an
> experienced user and still I had to spend some time to understand what and
> why is happening (if you unplug the mouse after the system created the
> mouse device, everything is fine).

Are you using /dev/input/mice for the mouse? With that, it shouldn't
matter whether any mice are actually connected. If the device node
doesn't exist, it's probably a matter of making sure that the backing
kernel module (mousedev IIRC) is loaded.

Another possibility is running the X server with -allowMouseOpenFail.

I don't really see an X server bug here but rather a system
administration issue.


HTH,


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <david_nusinow@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 255744@bugs.debian.org (full text, mbox):

From: David Nusinow <david_nusinow@verizon.net>
To: 255744@bugs.debian.org
Subject: Re: Bug#255744: xfree86-common: Mouse not found causes gdm to fail -- this *is* annoying
Date: Thu, 20 Oct 2005 08:48:10 -0400
On Thu, Oct 20, 2005 at 12:17:17PM +0200, Michel Dänzer wrote:
> > I just want to stress the importance of this bug.  It is more than a year
> > old and it still has not been fixed!
> > 
> > Take the following scenario:  a connector is accidentally removed, or the
> > user removed the mouse for whatever reason.  Suddenly, the system no longer
> > starts X!  Even though you _can_ work with X without a mouse.  I am an
> > experienced user and still I had to spend some time to understand what and
> > why is happening (if you unplug the mouse after the system created the
> > mouse device, everything is fine).
> 
> Are you using /dev/input/mice for the mouse? With that, it shouldn't
> matter whether any mice are actually connected. If the device node
> doesn't exist, it's probably a matter of making sure that the backing
> kernel module (mousedev IIRC) is loaded.
> 
> Another possibility is running the X server with -allowMouseOpenFail.
> 
> I don't really see an X server bug here but rather a system
> administration issue.

Well, I do see a bug, but the right way to fix it is to implement
hotplugging for the X server. I have every intention of working on this in
the future, but not until after we have the modular packages. If the
submitter thinks that this is going to happen within a year then he's
kidding himself though.

 - David Nusinow




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 255744@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: January Weiner <january@uni-muenster.de>
Cc: 255744@bugs.debian.org
Subject: Re: Bug#255744: xfree86-common: Mouse not found causes gdm to fail -- this *is* annoying
Date: Fri, 21 Oct 2005 10:23:32 +0200
On Thu, 2005-10-20 at 12:41 +0200, January Weiner wrote: 
> 
> > If the device node doesn't exist, it's probably a matter of making sure 
> > that the backing kernel module (mousedev IIRC) is loaded.
> 
> This is what has been suggested by previous posters to this bug, and
> which should be done, and which has not been done, and which is the
> reason why I am writing this rant.

It's none of the X server's business though.


> Should I repost the bug to another package?

IMHO yes. As David pointed out, the only 'bug' in the X server is that
it doesn't support hotplugging input devices yet, but that's an upstream
wishlist item that won't be resolved anytime soon. AFAICT the most
effective approaches to resolve this are:

      * In the 2.6.12-1-powerpc kernel I'm running, the support
        for /dev/input/mice seems to be built into the kernel in the
        first place, avoiding the problem of when and how to load the
        module. You could ask for the same to be done for the kernel
        you're running.
      * You could ask for the udev and/or hotplug packages to load the
        corresponding module by default on bootup, regardless of whether
        or not a mouse is connected.

Either of these has the advantage that even without explicit hotplugging
support in the X server, you can plug in a mouse after the X server is
already running, and it Just Works(TM). This isn't true if the X server
just ignores the failure to open the mouse device.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 255744@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Michel Dänzer <daenzer@debian.org>, 255744@bugs.debian.org
Cc: January Weiner <january@uni-muenster.de>
Subject: Re: Bug#255744: xfree86-common: Mouse not found causes gdm to fail -- this *is* annoying
Date: Fri, 21 Oct 2005 12:02:50 +0200
On Fri, Oct 21, 2005 at 10:23:32AM +0200, Michel Dänzer wrote:
> On Thu, 2005-10-20 at 12:41 +0200, January Weiner wrote: 
> > 
> > > If the device node doesn't exist, it's probably a matter of making sure 
> > > that the backing kernel module (mousedev IIRC) is loaded.
> > 
> > This is what has been suggested by previous posters to this bug, and
> > which should be done, and which has not been done, and which is the
> > reason why I am writing this rant.
> 
> It's none of the X server's business though.
> 
> 
> > Should I repost the bug to another package?
> 
> IMHO yes. As David pointed out, the only 'bug' in the X server is that
> it doesn't support hotplugging input devices yet, but that's an upstream
> wishlist item that won't be resolved anytime soon. AFAICT the most
> effective approaches to resolve this are:
> 
>       * In the 2.6.12-1-powerpc kernel I'm running, the support
>         for /dev/input/mice seems to be built into the kernel in the
>         first place, avoiding the problem of when and how to load the
>         module. You could ask for the same to be done for the kernel
>         you're running.
>       * You could ask for the udev and/or hotplug packages to load the
>         corresponding module by default on bootup, regardless of whether
>         or not a mouse is connected.
> 
> Either of these has the advantage that even without explicit hotplugging
> support in the X server, you can plug in a mouse after the X server is
> already running, and it Just Works(TM). This isn't true if the X server
> just ignores the failure to open the mouse device.

Does the X configuration per default suggest /dev/input/mice now, or still
proposes /dev/psaux ? 

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 255744@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Sven Luther <sven.luther@wanadoo.fr>
Cc: 255744@bugs.debian.org, January Weiner <january@uni-muenster.de>
Subject: ****SPAM(5.5)**** Re: Bug#255744: xfree86-common: Mouse not found causes gdm to fail -- this *is* annoying
Date: Fri, 21 Oct 2005 14:36:14 +0200
[Message part 1 (text/plain, inline)]
Software zur Erkennung von "Spam" auf dem Rechner

    darkcity.gna.ch

hat die eingegangene E-mail als mögliche "Spam"-Nachricht identifiziert.
Die ursprüngliche Nachricht wurde an diesen Bericht angehängt, so dass
Sie sie anschauen können (falls es doch eine legitime E-Mail ist) oder
ähnliche unerwünschte Nachrichten in Zukunft markieren können.
Bei Fragen zu diesem Vorgang wenden Sie sich bitte an

    postmaster

Vorschau: On Fri, 2005-10-21 at 12:02 +0200, Sven Luther wrote: >
  > Does the X configuration per default suggest /dev/input/mice now, or
  still > proposes /dev/psaux ? AFAIK the former, but it doesn't really
  matter anyway with current 2.6 kernels as the latter is merely an alias
  for the former anyway. [...] 

Inhaltsanalyse im Detail:   (5.5 Punkte, 5.0 benötigt)

Pkte Regelname              Beschreibung
---- ---------------------- --------------------------------------------------
 1.8 RCVD_IN_SORBS_SOCKS    RBL: SORBS: Senderechner als "open SOCKS proxy"
                            gemeldet
                            [80.218.119.25 listed in dnsbl.sorbs.net]
 2.0 RCVD_IN_SORBS_DUL      RBL: SORBS: Senderechner nur temporär mit Internet
                            verbunden
                            [80.218.119.25 listed in dnsbl.sorbs.net]
 3.1 RCVD_IN_XBL            RBL: Transportiert via Rechner in XBL-Liste
                            (http://www.spamhaus.org/xbl/)
                            [80.218.119.25 listed in sbl-xbl.spamhaus.org]
 1.7 RCVD_IN_NJABL_DUL      RBL: NJABL: Senderechner nur temporär mit Internet
                            verbunden
                            [80.218.119.25 listed in combined.njabl.org]
-3.1 AWL                    AWL: From: address is in the auto white-list


[Message part 2 (message/rfc822, inline)]
From: Michel Dänzer <daenzer@debian.org>
To: Sven Luther <sven.luther@wanadoo.fr>
Cc: 255744@bugs.debian.org, January Weiner <january@uni-muenster.de>
Subject: Re: Bug#255744: xfree86-common: Mouse not found causes gdm to fail -- this *is* annoying
Date: Fri, 21 Oct 2005 14:36:14 +0200
On Fri, 2005-10-21 at 12:02 +0200, Sven Luther wrote:
> 
> Does the X configuration per default suggest /dev/input/mice now, or still
> proposes /dev/psaux ? 

AFAIK the former, but it doesn't really matter anyway with current 2.6
kernels as the latter is merely an alias for the former anyway.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 255744@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: 255744@bugs.debian.org
Subject: Re: Bug#255744: xfree86-common: Mouse not found causes gdm to fail -- this *is* annoying
Date: Fri, 21 Oct 2005 16:07:21 +0200
[Message part 1 (text/plain, inline)]
On Friday 21 October 2005 10:23, Michel Dänzer wrote:
> > Should I repost the bug to another package?
>
> IMHO yes. As David pointed out, the only 'bug' in the X server is that
> it doesn't support hotplugging input devices yet, but that's an
> upstream wishlist item that won't be resolved anytime soon. AFAICT the
> most effective approaches to resolve this are:

IMO in that case the bug should be cloned and not reassigned as it is at 
least a reference for users for the problem and a good workaround is 
listed.
[Message part 2 (application/pgp-signature, inline)]

Tags added: help Request was from dann frazier <dannf@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from dann frazier <dannf@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 255744 360080. Request was from dann frazier <dannf@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Jeremy Nickurak <atrus@rifetech.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 255744@bugs.debian.org (full text, mbox):

From: Jeremy Nickurak <atrus@rifetech.com>
To: Sven Luther <sven.luther@wanadoo.fr>
Cc: Michel Dänzer <daenzer@debian.org>, 255744@bugs.debian.org, January Weiner <january@uni-muenster.de>
Subject: Re: Bug#255744: xfree86-common: Mouse not found causes gdm to fail -- this *is* annoying
Date: Fri, 31 Mar 2006 09:52:53 -0700
[Message part 1 (text/plain, inline)]
On Fri, Oct 21, 2005 at 12:02:50PM +0200, Sven Luther wrote:
> Does the X configuration per default suggest /dev/input/mice now, or still
> proposes /dev/psaux ? 

Aren't both of these more or less deprecated in favor of evdev these days anyways? Speaking of which, I do see similar problems using evdev, namely, that the X server's concept of a mouse doesn't survive an unplug & replug.

-- 
Jeremy Nickurak -= Email/Jabber: atrus@rifetech.com =-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#255744; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <david_nusinow@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 255744@bugs.debian.org (full text, mbox):

From: David Nusinow <david_nusinow@verizon.net>
To: 255744@bugs.debian.org
Subject: Re: Bug#255744: xfree86-common: Mouse not found causes gdm to fail -- this *is* annoying
Date: Sun, 02 Apr 2006 23:06:44 -0400
On Fri, Mar 31, 2006 at 09:52:53AM -0700, Jeremy Nickurak wrote:
> On Fri, Oct 21, 2005 at 12:02:50PM +0200, Sven Luther wrote:
> > Does the X configuration per default suggest /dev/input/mice now, or still
> > proposes /dev/psaux ? 
> 
> Aren't both of these more or less deprecated in favor of evdev these days anyways? Speaking of which, I do see similar problems using evdev, namely, that the X server's concept of a mouse doesn't survive an unplug & replug.

The problem is that the xorg evdev driver is still at a more or less
nascent stage. Zephaniah has been working hard at a new, more capable one,
but he hasn't released it yet officially afaik. I'm hesitant to make it our
default just yet, but soon.

 - David Nusinow



Changed Bug submitter from Frans Pop <aragorn@tiscali.nl> to Frans Pop <elendil@planet.nl>. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Daniel Stone <daniel@fooishbar.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #82 received at 255744-done@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniel@fooishbar.org>
To: 255744-done@bugs.debian.org
Subject: resolved
Date: Sat, 12 Aug 2006 21:40:43 +0300
[Message part 1 (text/plain, inline)]
I don't think this bug is an issue anymore:
  - the default is /dev/input/mice, which you should all use, and this
    supports hotplugging,
  - Zepheniah implemented hotplugging entirely within the evdev driver
    (shine on, you crazy diamond),
  - I have a working input-hotplug branch in xserver.

Cheers,
Daniel
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Stone <daniel@fooishbar.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pep <griera@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 04:40:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:55:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.